Skip to main content
GET
/
api
/
enrichments
/
{id}
Get enrichment
curl --request GET \
  --url https://developer.thehog.ai/api/enrichments/{id} \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>'
{
  "id": "<string>",
  "progress": 123,
  "result": {},
  "error": {}
}

GET /api/enrichments/:id

Poll status and result of an async enrichment.
Poll for status and results of an enrichment that returned 202.

Example

curl https://developer.thehog.ai/api/enrichments/op_01HZXYZ789 \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx"

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Path Parameters

id
string
required

Enrichment operation ID.

Response

Current enrichment status, progress, result, or error.

id
string
required
status
enum<string>
required
Available options:
queued,
processing,
succeeded,
failed,
partial_success,
cancelled
progress
number | null
result
object
error
object